
package eu.dnetlib.dhp.skgif.model;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @author miriam.baglioni
 * @Date 01/09/23
 */
public class ResearchProduct implements Serializable {
	@JsonProperty("local_identifier")
	private String local_identifier;
	private List<Identifier> identifiers;
	private Map<String, List<String>> titles;
	private Map<String, List<String>> abstracts;
	@JsonProperty("product_type")
	private String product_type;
	private List<ResultTopic> topics;
	private List<Contribution> contributions;
	private List<Manifestation> manifestations;
	@JsonProperty("relevant_organizations")
	private List<MinOrganization> relevant_organizations;
	private List<MinGrant> funding;
	@JsonProperty("related_products")
	private List<Relations> related_products;

	public String getLocal_identifier() {
		return local_identifier;
	}

	public void setLocal_identifier(String local_identifier) {
		this.local_identifier = local_identifier;
	}

	public List<Identifier> getIdentifiers() {
		return identifiers;
	}

	public void setIdentifiers(List<Identifier> identifiers) {
		this.identifiers = identifiers;
	}

	public Map<String, List<String>> getTitles() {
		return titles;
	}

	public void setTitles(Map<String, List<String>> titles) {
		this.titles = titles;
	}

	public Map<String, List<String>> getAbstracts() {
		return abstracts;
	}

	public void setAbstracts(Map<String, List<String>> abstracts) {
		this.abstracts = abstracts;
	}

	public String getProduct_type() {
		return product_type;
	}

	public void setProduct_type(String product_type) {
		this.product_type = product_type;
	}

	public List<ResultTopic> getTopics() {
		return topics;
	}

	public void setTopics(List<ResultTopic> topics) {
		this.topics = topics;
	}

	public List<Contribution> getContributions() {
		return contributions;
	}

	public void setContributions(List<Contribution> contributions) {
		this.contributions = contributions;
	}

	public List<Manifestation> getManifestations() {
		return manifestations;
	}

	public void setManifestations(List<Manifestation> manifestations) {
		this.manifestations = manifestations;
	}

	public List<MinOrganization> getRelevant_organizations() {
		return relevant_organizations;
	}

	public void setRelevant_organizations(List<MinOrganization> relevant_organizations) {
		this.relevant_organizations = relevant_organizations;
	}

	public List<MinGrant> getFunding() {
		return funding;
	}

	public void setFunding(List<MinGrant> funding) {
		this.funding = funding;
	}

	public List<Relations> getRelated_products() {
		return related_products;
	}

	public void setRelated_products(List<Relations> related_products) {
		this.related_products = related_products;
	}
}
